GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "0d7f0a40-8a66-4ea5-ae3a-343a689049da",
"cleanroom_type_id": "7cf7c5fd-cd3d-4155-a893-753076e06111",
"code": 3,
"date_hu": "2026-03-11T06:54:37.3637195+00:00",
"id": "561e8fd2-9887-47bf-a938-ae9b70d4e093",
"site_id": "fbc463b4-189a-49a1-89a3-593be55612f2",
"wash_count": 6,
"position": 1,
"pc_id": "4fb431ac-82e1-4a88-96ab-0b11e5859e4e"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>0d7f0a40-8a66-4ea5-ae3a-343a689049da</bag_status_id> <cleanroom_type_id>7cf7c5fd-cd3d-4155-a893-753076e06111</cleanroom_type_id> <code>3</code> <date_hu>2026-03-11T06:54:37.3637195+00:00</date_hu> <id>561e8fd2-9887-47bf-a938-ae9b70d4e093</id> <pc_id>4fb431ac-82e1-4a88-96ab-0b11e5859e4e</pc_id> <position>1</position> <site_id>fbc463b4-189a-49a1-89a3-593be55612f2</site_id> <wash_count>6</wash_count> </bag>